#include <stdio.h>
#include <stdlib.h>

static char ksshead[16] = {
	'K','S','C','C','\x00','\x00','\xff','\xff',
	'\x38','\x00','\x38','\x00','\x00','\x00','\x00','\x05',
};
int main(int argc, char **argv)
{
	char buf0000[0x4000], buf4000[0x4000];
	char buf8000[0x4000], bufc000[0x4000];
	FILE *ifp, *ofp;
	if (argc != 3)
	{
		fprintf(stderr, "Usage: %s [INPUT] [OUTPUT]\n",argv[0]);
		return 1;
	}
	ifp = fopen(argv[1], "rb");
	if (ifp == NULL) return 1;
	fread(buf0000, 1, 8, ifp);
	if (memcmp(buf0000, "MSXSTATE", 8)) return 1;
	fseek(ifp, 0x004b, SEEK_SET);
	fread(bufc000, 1, 0x4000, ifp);
	fread(buf8000, 1, 0x4000, ifp);
	fread(buf4000, 1, 0x4000, ifp);
	fread(buf0000, 1, 0x4000, ifp);
	ofp = fopen(argv[2], "wb");
	if (ofp == NULL) return 1;
	fwrite(ksshead, 1, 0x10, ofp);
	fwrite(buf0000, 1, 0x4000, ofp);
	fwrite(buf4000, 1, 0x4000, ofp);
	fwrite(buf8000, 1, 0x4000, ofp);
	fwrite(bufc000, 1, 0x4000, ofp);
	fclose(ofp);
	return 0;
}
