@echo off
REM  required:
REM    ARCUS1.DSK     ARCUS (MSX2) DISK1  image file
REM    ARCUS2.DSK     ARCUS (MSX2) DISK2  image file
REM    (ARCUS3.DSK     ARCUS (MSX2) DISK3  image file)
REM    BINCUT2.EXE
REM    BINCAT.EXE
REM output:
REM    ARCUS.KSS

IF EXIST "ARCUS.BIN" GOTO BINOK
ASZ80 -oo ARCUS.SZ
ASLINK -oBIN ARCUS.O
:BINOK

rem driver
rem bincut2 -u 200 -n 8 -b 016 -o arcusip.drv ARCUS1.DSK
rem bincut2 -u 200 -n 8 -b 258 -o arcusip.drv ARCUS1.DSK
rem bincut2 -l 1000 -s 02c47 -o arcusif.drv ARCUS1.DSK
rem bincut2 -l 1000 -s 4b049 -o arcusip.drv ARCUS1.DSK

rem bincut2 -u 100 -n 14 -b 268 -p 051:c9 -o arcusf.drv ARCUS1.DSK
rem bincut2 -u 100 -n 14 -b 254 -p 051:c9 -o arcusp.drv ARCUS1.DSK
bincut2 -u 100 -n 18 -b 468 -o arcusf.drv  ARCUS1.DSK
bincut2 -u 100 -n 04 -b 44c -o arcusf.ton ARCUS1.DSK
bincut2 -u 100 -n 14 -b 450 -o arcusp.drv ARCUS1.DSK

rem bincut2 -s 26800 -l 1000 -o arcus.drv ARCUS1.DSK
rem bincut2 -s 25400 -l 1400 -o arcus.drv ARCUS1.DSK
rem bincut2 -s 45000 -l 1800 -o arcus.drv ARCUS1.DSK
rem bincut2 -s 46800 -l 1800 -o arcus.drv ARCUS1.DSK

rem disk1 music
bincut2 -u 100 -n 010 -b 51c -o arcus1.51c ARCUS1.DSK

rem disk2 music
bincut2 -u 100 -n 154 -b 486 -o arcus2.486 ARCUS2.DSK

BINCAT ARCUS.KSS ARCUS.BIN arcusf.drv arcusf.ton arcusp.drv @ARCUS.CAT

del arcusf.drv
del arcusf.ton
del arcusp.drv

del arcus1.51c
del arcus2.486
