@echo off
REM  required:
REM    CRIMS3SY.DSK  CRIMSON3 SYSTEM     DISK  image file
REM    CRIMS3S1.DSK  CRIMSON3 SCENARIO 1 DISK  image file
REM    CRIMS3S2.DSK  CRIMSON3 SCENARIO 2 DISK  image file
REM    FMBIOS.ROM    MSX-MUSIC image file
REM      or
REM    MSXTRMUS.ROM  MSX-MUSIC(turbo-R) image file
REM      or
REM    FMPAC.ROM     FM-PAC image file
REM    BINCUT2.EXE
REM    BINCAT.EXE
REM output:
REM    CRIMSON3.KSS

IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "MSXTRMUS.ROM" bincut2 -u 4000 -n 1 -b 0 -p 0154:c9 -p 18db:c9 -p 2d9c:c9 -p 2da8:c9 -p 2db5:c9 -p 3631:c9 -p 363c:c9 -o MSXMUSIC.DRV MSXTRMUS.ROM
IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "FMBIOS.ROM" bincut2 -u 4000 -n 1 -b 0 -o MSXMUSIC.DRV FMBIOS.ROM
IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "FMPAC.ROM" bincut2 -u 4000 -n 1 -b 0 -o MSXMUSIC.DRV FMPAC.ROM
:FMDRVOK

IF EXIST "CRIMSON3.BIN" GOTO BINOK
ASZ80 -oo CRIMSON3.SZ
ASLINK -oBIN CRIMSON3.O
:BINOK

rem psg-driver
bincut2 -u 200 -n 05 -b 1b0 -p 649:c9 -p 65e:d3,a0,f5,7b,d3,a1,f1,c9 -o crims3sy.1b0 crims3sy.dsk
rem se?
bincut2 -u 200 -n 01 -b 12c -o crims3sy.12c  crims3sy.dsk
rem fm-music system disk
bincut2 -u 200 -n 0a -b 12d -o crims3sy.12d  crims3sy.dsk
bincut2 -u 200 -n 09 -b 3ab -o crims3sy.3ab  crims3sy.dsk
rem fm-music scenario 1 disk
bincut2 -u 200 -n 16 -b 02e -o crims3s1.02e  crims3s1.dsk
bincut2 -u 200 -n 39 -b 4c8 -o crims3s1.4c8  crims3s1.dsk
rem fm-music scenario 2 disk
bincut2 -u 200 -n 16 -b 02e -o crims3s2.02e  crims3s2.dsk
bincut2 -u 200 -n 1b -b 360 -o crims3s2.360  crims3s2.dsk
rem psg-music system disk
bincut2 -u 100 -n 08 -b 250 -o crims3sy.250  crims3sy.dsk
bincut2 -u 100 -n 06 -b 750 -o crims3sy.750  crims3sy.dsk
rem psg-music scenario 1 disk
bincut2 -u 100 -n 0a -b 116 -o crims3s1.116  crims3s1.dsk
bincut2 -u 100 -n 0a -b 15e -o crims3s1.15e  crims3s1.dsk
bincut2 -u 100 -n 0a -b 1a6 -o crims3s1.1a6  crims3s1.dsk
bincut2 -u 100 -n 0a -b 1ee -o crims3s1.1ee  crims3s1.dsk
bincut2 -u 100 -n 0a -b 236 -o crims3s1.236  crims3s1.dsk
bincut2 -u 100 -n 04 -b 27e -o crims3s1.27e  crims3s1.dsk
rem psg-music scenario 2 disk
bincut2 -u 100 -n 0a -b 116 -o crims3s2.116  crims3s2.dsk
bincut2 -u 100 -n 0a -b 15e -o crims3s2.15e  crims3s2.dsk
bincut2 -u 100 -n 06 -b 1a6 -o crims3s2.1a6  crims3s2.dsk
bincut2 -u 100 -n 08 -b 1ee -o crims3s2.1ee  crims3s2.dsk
bincut2 -u 100 -n 02 -b 23a -o crims3s2.23a  crims3s2.dsk

bincat CRIMSON3.KSS @CRIMSON3.CAT

del crims3sy.1b0
del crims3sy.12c
del crims3sy.12d
del crims3sy.3ab
del crims3s1.02e
del crims3s1.4c8
del crims3s2.02e
del crims3s2.360
del crims3sy.250
del crims3sy.750
del crims3s1.116
del crims3s1.15e
del crims3s1.1a6
del crims3s1.1ee
del crims3s1.236
del crims3s1.27e
del crims3s2.116
del crims3s2.15e
del crims3s2.1a6
del crims3s2.1ee
del crims3s2.23a
