@echo off
REM required:
REM   DS6P.DSK  DragonSlayer6 - The Legend of Heros PROGRAM   DISK image file
REM   DS6S1.DSK DragonSlayer6 - The Legend of Heros SCENARIO1 DISK image file
REM   (DS6S2.DSK DragonSlayer6 - The Legend of Heros SCENARIO2 DISK image file)
REM   (DS6S3.DSK DragonSlayer6 - The Legend of Heros SCENARIO3 DISK image file)
REM   BINCUT2.EXE
REM output:
REM   DS6.KSS

IF EXIST "DS6.BIN" GOTO BINOK
ASZ80 -oo DS6.SZ
ASLINK -oBIN DS6.O
:BINOK

rem 02c-0b4
bincut2 -u 100 -n 020 -b 024 -o ds6p.024  ds6p.dsk
bincut2 -u 100 -n 090 -b 0d8 -o ds6p.0d8  ds6p.dsk
bincut2 -u 100 -n 064 -b 1f8 -o ds6p.1f8  ds6p.dsk
bincut2 -u 100 -n 03e -b a0c -o ds6s1.a0c  ds6s1.dsk
bincut2 -u 100 -n 07c -b a56 -o ds6s1.a56  ds6s1.dsk
bincut2 -u 100 -n 010 -b ad4 -o ds6s1.ad4  ds6s1.dsk

copy /b  ds6.bin+ds6p.024+ds6p.0d8+ds6p.1f8+ds6s1.a0c+ds6s1.a56+ds6s1.ad4 ds6.kss

del ds6p.024
del ds6p.0d8
del ds6p.1f8
del ds6s1.a0c
del ds6s1.a56
del ds6s1.ad4
