@echo off
REM  required:
REM    EMEDRAOP.DSK  EMERALD DRAGON OPENING  DISK image file
REM    EMEDRAGA.DSK  EMERALD DRAGON GAME     DISK image file
REM    EMEDRAVA.DSK  EMERALD DRAGON VISUAL A DISK image file
REM    EMEDRAVB.DSK  EMERALD DRAGON VISUAL B DISK image file
REM    EMEDRAEN.DSK  EMERALD DRAGON ENDING   DISK image file
REM    FMBIOS.ROM    MSX-MUSIC image file
REM      or
REM    MSXTRMUS.ROM  MSX-MUSIC(turbo-R) image file
REM      or
REM    FMPAC.ROM     FM-PAC image file
REM    BINCUT2.EXE
REM output:
REM    EMEDRA.KSS

IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "MSXTRMUS.ROM" bincut2 -u 4000 -n 1 -b 0 -p 0154:c9 -p 18db:c9 -p 2d9c:c9 -p 2da8:c9 -p 2db5:c9 -p 3631:c9 -p 363c:c9 -o MSXMUSIC.DRV MSXTRMUS.ROM
IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "FMBIOS.ROM" bincut2 -u 4000 -n 1 -b 0 -o MSXMUSIC.DRV FMBIOS.ROM
IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "FMPAC.ROM" bincut2 -u 4000 -n 1 -b 0 -o MSXMUSIC.DRV FMPAC.ROM
:FMDRVOK

rem IF EXIST "EMEDRA.BIN" GOTO BINOK
ASZ80 -oo EMEDRA.SZ
ASLINK -oBIN EMEDRA.O
:BINOK

bincut2 -u 100 -n 072 -b 016 -o emedraop.016  EMEDRAOP.DSK
bincut2 -u 100 -n 0c6 -b a4c -o emedraga.a4c  EMEDRAGA.DSK
bincut2 -u 100 -n 030 -b 050 -o emedrava.050  EMEDRAVA.DSK
bincut2 -u 100 -n 048 -b 050 -o emedravb.050  EMEDRAVB.DSK
bincut2 -u 100 -n 094 -b aa8 -o emedravb.aa8  EMEDRAVB.DSK
bincut2 -u 100 -n 02e -b 03c -o emedraen.03c  EMEDRAEN.DSK
bincut2 -u 100 -n 014 -b 074 -o emedraen.074  EMEDRAEN.DSK

copy /b EMEDRA.BIN+MSXMUSIC.DRV+emedraop.016+emedraga.a4c+emedrava.050+emedravb.050+emedravb.aa8+emedraen.03c+emedraen.074 EMEDRA.KSS

del emedraop.016
del emedraga.a4c
del emedrava.050
del emedravb.050
del emedravb.aa8
del emedraen.03c
del emedraen.074
