@echo off
REM  required:
REM    F1S3DSPA.DSK  F1 SPIRIT 3D SPECIAL (MSX2+) GAME DISK A image file
REM    F1S3DSPB.DSK  F1 SPIRIT 3D SPECIAL (MSX2+) GAME DISK B image file
REM    BINCUT2.EXE
REM    BINCAT.EXE
REM output:
REM    F1S3DSP.KSS

IF EXIST "F1S3DSP.BIN" GOTO BINOK
ASZ80 -oo F1S3DSP.SZ
ASLINK -oBIN F1S3DSP.O
:BINOK

mkdir work

rem psg-driver 8000
bincut2 -s 00800 -l 1000 -o work\bios.bin F1S3DSPA.DSK
rem fm-driver 9000
bincut2 -s 60000 -l 2000 -o work\fmdriver.bin F1S3DSPA.DSK

rem data 3
bincut2 -s 62000 -l 0d00 -o work\music3.dat F1S3DSPA.DSK
rem data 4
bincut2 -s 62e00 -l 0d00 -o work\music4.dat F1S3DSPA.DSK
rem data 5 D
bincut2 -s 73400 -l 0d00 -o work\music5.dat F1S3DSPB.DSK
rem data 6
bincut2 -s 71800 -l 0d00 -o work\music6.dat F1S3DSPB.DSK
rem data 7 C
bincut2 -s 72600 -l 0d00 -o work\music7.dat F1S3DSPB.DSK
rem data 8
bincut2 -s 6e000 -l 0d00 -o work\music8.dat F1S3DSPB.DSK
rem data 9
bincut2 -s 6ee00 -l 0d00 -o work\music9.dat F1S3DSPB.DSK
rem data A
bincut2 -s 6fc00 -l 0d00 -o work\musica.dat F1S3DSPB.DSK
rem data B
bincut2 -s 70a00 -l 0d00 -o work\musicb.dat F1S3DSPB.DSK
rem data D E
bincut2 -s 74c00 -l 0d00 -o work\musicd.dat F1S3DSPB.DSK

BINCAT F1S3DSP.KSS @F1S3DSP.CAT
