@echo off
REM  required:
REM    FIREHW_A.DSK   Firehawk(MSX2) GAME DISK A image file
REM    FIREHW_B.DSK   Firehawk(MSX2) GAME DISK B image file
REM    BINCUT2.EXE
REM    BINCAT.EXE
REM output:
REM    FIREHAWK.KSS

IF EXIST "FIREHAWK.BIN" GOTO BINOK
ASZ80 -oo FIREHAWK.SZ
ASLINK -oBIN FIREHAWK.O
:BINOK

IF EXIST "MEX.EXE" GOTO MEXOK
gcc -o MEX.EXE MEX.C
:MEXOK

IF EXIST "WORKA\MLSM" GOTO DATAOK
MKDIR WORKA
CHDIR WORKA
..\MEX.EXE FIREHAWK ..\FIREHW_A.DSK
CHDIR ..
MKDIR WORKB
CHDIR WORKB
..\MEX.EXE FIREHAWK ..\FIREHW_B.DSK
CHDIR ..
bincut2 -s042d3 -l0b00 -oWORKA\MLSM WORKA\FH.COM
IF EXIST "WORKA\MLSM" GOTO DATAOK
bincut2 -sab6d3 -l0b00 -oWORKA\MLSM FIREHW_A.DSK
:DATAOK

BINCAT.EXE FIREHAWK.KSS @FIREHAWK.CAT

goto out

rem driver
bincut2 -s04000 -l0f00 -ofirehawk.drv FIREHW_A.DSK
rem psg-driver
bincut2 -s07a00 -l0f00 -ofirehawk.psg FIREHW_A.DSK
rem opening theme
bincut2 -s77a00 -l1400 -ofirehawk.opn FIREHW_A.DSK
rem mission 1
bincut2 -s76c00 -l0e00 -ofirehawk.m1 FIREHW_A.DSK
rem mission 2
bincut2 -sa0200 -l0e00 -ofirehawk.m2 FIREHW_A.DSK
rem mission 3
bincut2 -sa1000 -l1000 -ofirehawk.m3 FIREHW_A.DSK
rem mission 4
bincut2 -sa2000 -l0c00 -ofirehawk.m4 FIREHW_A.DSK
rem mission 5
bincut2 -sa5200 -l1000 -ofirehawk.m5 FIREHW_A.DSK
rem mission 6
bincut2 -sa6200 -l1200 -ofirehawk.m6 FIREHW_A.DSK
rem mission 7
bincut2 -s96400 -l1000 -ofirehawk.m7 FIREHW_A.DSK
rem mission 8
bincut2 -s97400 -l0c00 -ofirehawk.m8 FIREHW_A.DSK
rem mission 9
bincut2 -sa2c00 -l0e00 -ofirehawk.m9 FIREHW_A.DSK
rem moon light sonata
bincut2 -sab6d3 -l0b00 -ofirehawk.mls FIREHW_A.DSK


del firehawk.drv
del firehawk.psg
del firehawk.opn
del firehawk.m1
del firehawk.m2
del firehawk.m3
del firehawk.m4
del firehawk.m5
del firehawk.m6
del firehawk.m7
del firehawk.m8
del firehawk.m9
del firehawk.mls

:out
