@echo off
REM  required:
REM    LODOSSOP.DSK  RECORD OF LODOSS WAR OPENING DISK image file
REM    LODOSSG1.DSK  RECORD OF LODOSS WAR GAME 1  DISK image file
REM    LODOSSG2.DSK  RECORD OF LODOSS WAR GAME 2  DISK image file
REM    LODOSSG3.DSK  RECORD OF LODOSS WAR GAME 3  DISK image file
REM    FMBIOS.ROM    MSX-MUSIC image file
REM      or
REM    MSXTRMUS.ROM  MSX-MUSIC(turbo-R) image file
REM      or
REM    FMPAC.ROM     FM-PAC image file
REM    BINCUT2.EXE
REM output:
REM    LODOSS.KSS

IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "MSXTRMUS.ROM" bincut2 -u 4000 -n 1 -b 0 -p 0154:c9 -p 18db:c9 -p 2d9c:c9 -p 2da8:c9 -p 2db5:c9 -p 3631:c9 -p 363c:c9 -o MSXMUSIC.DRV MSXTRMUS.ROM
IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "FMBIOS.ROM" bincut2 -u 4000 -n 1 -b 0 -o MSXMUSIC.DRV FMBIOS.ROM
IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "FMPAC.ROM" bincut2 -u 4000 -n 1 -b 0 -o MSXMUSIC.DRV FMPAC.ROM
:FMDRVOK

IF EXIST "LODOSS.BIN" GOTO BINOK
ASZ80 -oo LODOSS.SZ
ASLINK -oBIN LODOSS.O
:BINOK

bincut2 -u 100 -n 064 -b 0ac -o lodossop.0ac  LODOSSOP.DSK
bincut2 -u 100 -n 094 -b 20e -o lodossg1.20e  LODOSSG1.DSK
bincut2 -u 100 -n 042 -b 342 -o lodossg2.342  LODOSSG2.DSK
bincut2 -u 100 -n 04e -b 23a -o lodossg3.23a  LODOSSG3.DSK

copy /b LODOSS.BIN+MSXMUSIC.DRV+lodossop.0ac+lodossg1.20e+lodossg2.342+lodossg3.23a LODOSS.KSS

del lodossop.0ac
del lodossg1.20e
del lodossg2.342
del lodossg3.23a
