@ECHO OFF
REM  required:
REM    XAK1DEMO.DSK   XAK(MSX2) DEMO DISK image file
REM    (XAK1GAM1.DSK   XAK(MSX2) GAME DISK 1 image file
REM    XAK1GAM2.DSK   XAK(MSX2) GAME DISK 2 image file
REM output:
REM    BINCUT2.EXE
REM    XAS.KSS

IF EXIST XAK.BIN GOTO SKIP
ASZ80 -oo XAK.SZ
ASLINK -oBIN XAK.O
:SKIP

BINCUT2.EXE -s03000 -l00b00 -oXAK1DRV.TMP  XAK1GAM2.DSK
BINCUT2.EXE -s0e700 -l00300 -oXAK1DRVD.TMP XAK1GAM2.DSK
BINCUT2.EXE -s83600 -l15600 -oXAK1GAM2.TMP XAK1GAM2.DSK
BINCUT2.EXE -s15c00 -l01A00 -oXAK1DEMO.TMP XAK1DEMO.DSK

COPY /B XAK.BIN+XAK1DRV.TMP+XAK1DRVD.TMP+XAK1GAM2.TMP+XAK1DEMO.TMP XAK.KSS

DEL XAK1DRV.TMP
DEL XAK1DRVD.TMP
DEL XAK1GAM2.TMP
DEL XAK1DEMO.TMP
