@ECHO OFF
REM  required:
REM    XAK2_1.DSK   XAK 2(MSX2) DISK 1 image file
REM    XAK2_2.DSK   XAK 2(MSX2) DISK 2 image file
REM    XAK2_3.DSK   XAK 2(MSX2) DISK 3 image file
REM    XAK2_4.DSK   XAK 2(MSX2) DISK 4 image file
REM    XAK2_5.DSK   XAK 2(MSX2) DISK 5 image file
REM    BINCUT2.EXE
REM output:
REM    XAK2.KSS

IF EXIST "XAK2.BIN" GOTO BINOK
ASZ80 -oo XAK2.SZ
ASLINK -oBIN XAK2.O
:BINOK

rem ce00-d9ff
bincut2 -s02a00 -l0c00 -o fmdriver.bin xak2_1.dsk
rem c000-c1ff
bincut2 -sdc00 -l0200 -o envelope.bin xak2_1.dsk

rem disk1 data
bincut2 -s25800 -l7800 -o music1.dat xak2_1.dsk
rem disk2 data
bincut2 -s98600 -l3800 -o music2.dat xak2_2.dsk
rem disk 2/3/4/5 common data 
bincut2 -s3a600 -l5800 -o musicc.dat xak2_2.dsk
rem disk3 data
bincut2 -sa2600 -l4400 -o music3.dat xak2_3.dsk
rem disk4 data
bincut2 -sa2c00 -l1800 -o music4.dat xak2_4.dsk
rem disk5 data
bincut2 -s9d400 -l8000 -o music5.dat xak2_5.dsk

copy /b XAK2.BIN+fmdriver.bin+envelope.bin+music1.dat+music2.dat+musicc.dat+music3.dat+music4.dat+music5.dat xak2.kss

del fmdriver.bin
del envelope.bin
del music1.dat
del music2.dat
del musicc.dat
del music3.dat
del music4.dat
del music5.dat
