@echo off
REM  required:
REM    ARCUSII1.DSK     ARCUS II - SILENT SYMPHONY (MSX2) DISK1  image file
REM    ARCUSII2.DSK     ARCUS II - SILENT SYMPHONY (MSX2) DISK2  image file
REM    ARCUSII3.DSK     ARCUS II - SILENT SYMPHONY (MSX2) DISK3  image file
REM    ARCUSII4.DSK     ARCUS II - SILENT SYMPHONY (MSX2) DISK4  image file
REM    BINCUT2.EXE
REM    BINCAT.EXE
REM output:
REM    ARCUSII.KSS

IF EXIST "ARCUSII.BIN" GOTO BINOK
ASZ80 -oo ARCUSII.SZ
ASLINK -oBIN ARCUSII.O
:BINOK

rem driver
bincut2 -s 02412 -l 2400 -o arcusii.drv ARCUSII1.DSK

rem disk1 music
bincut2 -u 100 -n 002 -b 074 -o arcusii1.074 ARCUSII1.DSK
bincut2 -u 100 -n 018 -b 0d4 -o arcusii1.0d4 ARCUSII1.DSK
bincut2 -u 100 -n 038 -b 40e -o arcusii1.40e ARCUSII1.DSK

rem disk2 music
bincut2 -u 100 -n 098 -b a4e -o arcusii2.a4e ARCUSII2.DSK

rem disk3 music
bincut2 -u 100 -n 00e -b 8f0 -o arcusii3.8f0 ARCUSII3.DSK
bincut2 -u 100 -n 074 -b 9f8 -o arcusii3.9f8 ARCUSII3.DSK

rem disk4 music
bincut2 -u 100 -n 0bc -b 942 -o arcusii4.942 ARCUSII4.DSK


BINCAT ARCUSII.KSS ARCUSII.BIN arcusii.drv @ARCUSII.CAT

del arcusii.drv


del arcusii1.074
del arcusii1.0d4
del arcusii1.40e
del arcusii2.a4e
del arcusii3.8f0
del arcusii3.9f8
del arcusii4.942
