@echo off
REM Burai(BURAI)
REM required:
REM   BURAI1.DSK  Burai DISK 1  image file
REM   BURAI2.DSK  Burai DISK 2  image file
REM   BURAI3.DSK  Burai DISK 3  image file
REM   BURAI4.DSK  Burai DISK 4  image file
REM   BURAI5.DSK  Burai DISK 5  image file
REM   BURAI6.DSK  Burai DISK 6  image file
REM   BINCUT2.EXE
REM   BINCAT.EXE
REM output:
REM   BURAI.KSS

IF EXIST "BURAI.BIN" GOTO BINOK
ASZ80 -oo BURAI.SZ
ASLINK -oBIN BURAI.O
:BINOK

rem driver
bincut2 -s 00200 -l 0c00 -z 00 -o burai.drv burai1.dsk

rem music data
bincut2 -s 09002 -l 0b8a -z 76 -o burai.000 burai1.dsk
bincut2 -s 09b8e -l 0a66 -z 9a -o burai.001 burai1.dsk
bincut2 -s 0a5f6 -l 0c06 -z fa -o burai.002 burai1.dsk
bincut2 -s 0b1fe -l 05a9 -z 57 -o burai.003 burai1.dsk
bincut2 -s 0b7a9 -l 05ae -z 52 -o burai.004 burai1.dsk
bincut2 -s 0bd59 -l 080e -z f2 -o burai.005 burai1.dsk
bincut2 -s 0c569 -l 08bb -z 45 -o burai.006 burai1.dsk
bincut2 -s 0ce26 -l 0642 -z be -o burai.007 burai1.dsk
bincut2 -s 0d46a -l 0a3a -z c6 -o burai.008 burai1.dsk
bincut2 -s 0dea6 -l 0547 -z b9 -o burai.009 burai1.dsk
bincut2 -s 0e3ef -l 089d -z 63 -o burai.00a burai1.dsk
bincut2 -s 0ec8e -l 0330 -z d0 -o burai.00b burai1.dsk
bincut2 -s 0efbe -l 0255 -z ab -o burai.00c burai1.dsk
bincut2 -s 0f215 -l 02ac -z 54 -o burai.00d burai1.dsk
bincut2 -s 0f5b5 -l 02bb -z 45 -o burai.00e burai1.dsk
bincut2 -s 105de -l 05ea -z 16 -o burai.011 burai2.dsk
bincut2 -s 1542b -l 05e6 -z 1a -o burai.01b burai2.dsk
bincut2 -s 15a13 -l 04b5 -z 4b -o burai.01c burai2.dsk
bincut2 -s 15eca -l 033d -z c3 -o burai.01d burai2.dsk
bincut2 -s 16209 -l 0792 -z 6e -o burai.01e burai2.dsk
bincut2 -s 1699d -l 094a -z b6 -o burai.01f burai2.dsk
bincut2 -s 172e9 -l 09b7 -z 49 -o burai.020 burai2.dsk
bincut2 -s 18541 -l 05be -z 42 -o burai.022 burai2.dsk
bincut2 -s 18b01 -l 0b6b -z 95 -o burai.023 burai2.dsk
bincut2 -s 1966e -l 09a5 -z 5b -o burai.024 burai2.dsk
bincut2 -s 1a015 -l 08b2 -z 4e -o burai.025 burai2.dsk
bincut2 -s 1a8c9 -l 0957 -z a9 -o burai.026 burai2.dsk
bincut2 -s 90449 -l 0b8c -z 74 -o burai.06d burai6.dsk

bincat burai.kss BURAI.BIN burai.drv @BURAI.CAT

del burai.drv

del burai.000
del burai.001
del burai.002
del burai.003
del burai.004
del burai.005
del burai.006
del burai.007
del burai.008
del burai.009
del burai.00a
del burai.00b
del burai.00c
del burai.00d
del burai.00e
del burai.011
del burai.01b
del burai.01c
del burai.01d
del burai.01e
del burai.01f
del burai.020
del burai.022
del burai.023
del burai.024
del burai.025
del burai.026
del burai.06d
