@ECHO OFF
REM  required:
REM    CABIN1.DSK   CABIN PANIC(MSX2) DISK 1 image file
REM    CABIN2.DSK   CABIN PANIC(MSX2) DISK 2 image file
REM    CABIN3.DSK   CABIN PANIC(MSX2) DISK 3 image file
REM    BINCUT2.EXE
REM output:
REM    CABIN.KSS

IF EXIST "CABIN.BIN" GOTO BINOK
ASZ80 -oo CABIN.SZ
ASLINK -oBIN CABIN.O
:BINOK

rem driver
bincut2 -s 02c00 -l 0c00 -o cabin2.02c cabin2.dsk
rem tone
bincut2 -s 67c00 -l 0200 -o cabin2.67c cabin2.dsk
rem pixy-driver
bincut2 -s 02e00 -l 0c00 -o cabin3.02e cabin3.dsk
rem pixy-tone
bincut2 -s 03a00 -l 0200 -o cabin3.03a cabin3.dsk
rem data
bincut2 -s 19000 -l 19800 -o cabin1.190 cabin1.dsk
bincut2 -s 67000 -l 10800 -o cabin2.670 cabin2.dsk
bincut2 -s 70800 -l 02e00 -o cabin3.708 cabin3.dsk
rem pixy-data
bincut2 -s 4b600 -l 03600 -o cabin3.4b6 cabin3.dsk

copy /b CABIN.BIN+cabin2.02c+cabin2.67c+cabin3.02e+cabin3.03a+cabin1.190+cabin2.670+cabin3.708+cabin3.4b6 cabin.kss

del cabin2.02c
del cabin2.67c
del cabin3.02e
del cabin3.03a
del cabin1.190
del cabin2.670
del cabin3.708
del cabin3.4b6
