@echo off
REM  required:
REM    CRIMS2D1.DSK  CRIMSON2 DISK 1  image file
REM    CRIMS2D2.DSK  CRIMSON2 DISK 2  image file
REM    FMBIOS.ROM    MSX-MUSIC image file
REM      or
REM    MSXTRMUS.ROM  MSX-MUSIC(turbo-R) image file
REM      or
REM    FMPAC.ROM     FM-PAC image file
REM    BINCUT2.EXE
REM output:
REM    CRIMSON2.KSS

IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "MSXTRMUS.ROM" bincut2 -u 4000 -n 1 -b 0 -p 0154:c9 -p 18db:c9 -p 2d9c:c9 -p 2da8:c9 -p 2db5:c9 -p 3631:c9 -p 363c:c9 -o MSXMUSIC.DRV MSXTRMUS.ROM
IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "FMBIOS.ROM" bincut2 -u 4000 -n 1 -b 0 -o MSXMUSIC.DRV FMBIOS.ROM
IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "FMPAC.ROM" bincut2 -u 4000 -n 1 -b 0 -o MSXMUSIC.DRV FMPAC.ROM
:FMDRVOK

IF EXIST "CRIMSON2.BIN" GOTO BINOK
ASZ80 -oo CRIMSON2.SZ
ASLINK -oBIN CRIMSON2.O
:BINOK

rem psg-driver
bincut2 -u 200 -n 0a -b 2f4 -p 62e:c9 -p 643:d3,a0,f5,7b,d3,a1,f1,c9 -o crims2d1.2f4  crims2d1.dsk
rem se?
bincut2 -u 200 -n 01 -b 2f1 -o crims2d1.2f1  crims2d1.dsk

rem fm-music
bincut2 -u 100 -n 016 -b 816 -o crims2d1.816  crims2d1.dsk
bincut2 -u 100 -n 092 -b 750 -o crims2d2.750  crims2d2.dsk

rem psg-music
bincut2 -u 100 -n 008 -b 80e -o crims2d1.80e  crims2d1.dsk
bincut2 -u 100 -n 02c -b 6de -o crims2d2.6de  crims2d2.dsk
bincut2 -u 100 -n 00c -b 71a -o crims2d2.71a  crims2d2.dsk

copy /b CRIMSON2.BIN+MSXMUSIC.DRV+crims2d1.2f4+crims2d1.2f1+crims2d1.816+crims2d2.750+crims2d1.80e+crims2d2.6de+crims2d2.71a CRIMSON2.KSS

del crims2d1.2f4
del crims2d1.2f1
del crims2d1.816
del crims2d2.750
del crims2d1.80e
del crims2d2.6de
del crims2d2.71a

