@echo off
REM  required:
REM    DANTE.DSK   DANTE(MSX2) image file
REM    FMBIOS.ROM    MSX-MUSIC image file
REM      or
REM    MSXTRMUS.ROM  MSX-MUSIC(turbo-R) image file
REM      or
REM    FMPAC.ROM     FM-PAC image file
REM    BINCUT2.EXE
REM output:
REM    DANTE.KSS

IF EXIST "DANTE.BIN" GOTO BINOK
ASZ80 -oo DANTE.SZ
ASLINK -oBIN DANTE.O
:BINOK


IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "MSXTRMUS.ROM" bincut2 -u 4000 -n 1 -b 0 -p 0154:c9 -p 18db:c9 -p 2d9c:c9 -p 2da8:c9 -p 2db5:c9 -p 3631:c9 -p 363c:c9 -o MSXMUSIC.DRV MSXTRMUS.ROM
IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "FMBIOS.ROM" bincut2 -u 4000 -n 1 -b 0 -o MSXMUSIC.DRV FMBIOS.ROM
IF EXIST "MSXMUSIC.DRV" GOTO FMDRVOK
IF EXIST "FMPAC.ROM" bincut2 -u 4000 -n 1 -b 0 -o MSXMUSIC.DRV FMPAC.ROM
:FMDRVOK

IF EXIST "RDDSKX.EXE" GOTO RDDSKXOK
gcc -o RDDSKX.EXE RDDSKX.C
:RDDSKXOK

rddskx.exe dante.dsk psgfm.obj fm.dat psg.dat

copy /b dante.bin+MSXMUSIC.DRV+psgfm.obj+fm.dat+psg.dat dante.kss

del psgfm.obj
del fm.dat
del psg.dat
