@echo off
REM Dante2
REM required:
REM   DANTE2P.DSK  DANTE2  PROGRAM DISK  image file
REM   (DANTE2D0.DSK DANTE2  DATA 00 DISK  image file)
REM   (DANTE2D1.DSK DANTE2  DATA 01 DISK  image file)
REM   BINCUT2.EXE
REM   BINCAT.EXE
REM output:
REM   DANTE2.KSS

IF EXIST "DANTE2.BIN" GOTO BINOK
ASZ80 -oo DANTE2.SZ
ASLINK -oBIN DANTE2.O
:BINOK

rem driver
bincut2 -u 100 -n 010 -b 674 -o dante2.drv dante2p.dsk

rem data
bincut2 -s 32600 -l 0800 -o dante2.000 dante2p.dsk
bincut2 -s 34600 -l 0800 -o dante2.001 dante2p.dsk
bincut2 -s 36600 -l 0400 -o dante2.002 dante2p.dsk
bincut2 -s 36a00 -l 0200 -o dante2.003 dante2p.dsk
bincut2 -s 36e00 -l 0600 -o dante2.004 dante2p.dsk
bincut2 -s 37e00 -l 0600 -o dante2.005 dante2p.dsk
bincut2 -s 38e00 -l 0400 -o dante2.006 dante2p.dsk
bincut2 -s 39e00 -l 0200 -o dante2.007 dante2p.dsk
bincut2 -s 3ae00 -l 0600 -o dante2.008 dante2p.dsk
bincut2 -s 3be00 -l 0600 -o dante2.009 dante2p.dsk
bincut2 -s 3ce00 -l 0800 -o dante2.00a dante2p.dsk
bincut2 -s 3de00 -l 0600 -o dante2.00b dante2p.dsk
bincut2 -s 3ee00 -l 0c00 -o dante2.00c dante2p.dsk
bincut2 -s 3fe00 -l 0e00 -o dante2.00d dante2p.dsk
bincut2 -s 40e00 -l 0e00 -o dante2.00e dante2p.dsk
bincut2 -s 41e00 -l 0c00 -o dante2.00f dante2p.dsk
bincut2 -s 42e00 -l 0e00 -o dante2.010 dante2p.dsk
bincut2 -s 43e00 -l 0c00 -o dante2.011 dante2p.dsk
bincut2 -s 44e00 -l 0600 -o dante2.012 dante2p.dsk
bincut2 -s 45e00 -l 0600 -o dante2.013 dante2p.dsk
bincut2 -s 46e00 -l 0800 -o dante2.014 dante2p.dsk
bincut2 -s 47e00 -l 0600 -o dante2.015 dante2p.dsk
bincut2 -s 48e00 -l 0a00 -o dante2.016 dante2p.dsk
bincut2 -s 49e00 -l 0600 -o dante2.017 dante2p.dsk

bincat dante2.kss dante2.bin dante2.drv @dante2.cat

del dante2.drv

del dante2.000
del dante2.001
del dante2.002
del dante2.003
del dante2.004
del dante2.005
del dante2.006
del dante2.007
del dante2.008
del dante2.009
del dante2.00a
del dante2.00b
del dante2.00c
del dante2.00d
del dante2.00e
del dante2.00f
del dante2.010
del dante2.011
del dante2.012
del dante2.013
del dante2.014
del dante2.015
del dante2.016
del dante2.017
