@ECHO OFF
REM  required:
REM    FF.DSK   Final Fantasy(MSX2) image file
REM    BINCUT2.EXE
REM    BINCAT.EXE
REM output:
REM    FF.KSS

IF EXIST "FF.BIN" GOTO BINOK
ASZ80 -oo FF.SZ
ASLINK -oBIN FF.O
:BINOK

IF EXIST "MEX.EXE" GOTO MEXOK
gcc -o MEX.EXE MEX.C
:MEXOK

IF EXIST "WORK\MAIN.COM" GOTO DATAOK
MKDIR WORK
CHDIR WORK
..\MEX.EXE FF ..\FF.DSK
CHDIR ..
bincut2 -l1000 -s3000 -oWORK\FF.DRV WORK\MAIN.COM
:DATAOK

BINCAT.EXE FF.KSS @FF.CAT
