@echo off
REM  required:
REM    GAUDI1.DSK     GAUDI (MSX2) DISK 1  image file
REM    (GAUDI2.DSK     GAUDI (MSX2) DISK 2  image file)
REM    (GAUDI3.DSK     GAUDI (MSX2) DISK 3  image file)
REM    (GAUDI4.DSK     GAUDI (MSX2) DISK 4  image file)
REM    BINCUT2.EXE
REM output:
REM    GAUDI.KSS

IF EXIST "GAUDI.BIN" GOTO BINOK
ASZ80 -oo GAUDI.SZ
ASLINK -oBIN GAUDI.O
:BINOK

rem driver
bincut2 -s 05c73 -l 230c -z f4 -o gaudi.drv GAUDI1.DSK

rem music
bincut2 -u 100 -n 002 -b 1c4 -o gaudi1.1c4 GAUDI1.DSK
bincut2 -u 100 -n 016 -b 4ec -o gaudi1.4ec GAUDI1.DSK
bincut2 -u 100 -n 002 -b 692 -o gaudi1.692 GAUDI1.DSK
bincut2 -u 100 -n 0a2 -b 6bc -o gaudi1.6bc GAUDI1.DSK

copy /b GAUDI.BIN+gaudi.drv+gaudi1.1c4+gaudi1.4ec+gaudi1.692+gaudi1.6bc GAUDI.KSS

del gaudi.drv

del gaudi1.1c4
del gaudi1.4ec
del gaudi1.692
del gaudi1.6bc
