@echo off
REM  required:
REM    GD1.DSK   GD - GREATEST DRIVER(MSX2) GAME DISK 1 image file
REM    GD2.DSK   GD - GREATEST DRIVER(MSX2) GAME DISK 2 image file
REM    BINCUT2.EXE
REM output:
REM    GD.KSS

IF EXIST "GD.BIN" GOTO BINOK
ASZ80 -oo GD.SZ
ASLINK -oBIN GD.O
:BINOK

rem fm driver
bincut2 -s 04200 -l 0e00 -z 0000 -o gd1.042 GD1.DSK
rem psg driver
bincut2 -s 05a00 -l 0c00 -z 0000 -o gd1.05a GD1.DSK

rem music
bincut2 -s 05000 -l 0a00 -z 0000 -o gd1.050 GD1.DSK
bincut2 -s 06600 -l 0800 -z 0000 -o gd1.066 GD1.DSK
bincut2 -s 0e800 -l 0180 -z 0080 -o gd2.0e8 GD2.DSK
bincut2 -s 0fa00 -l 0300 -z 0000 -o gd2.0fa GD2.DSK
bincut2 -s 3b300 -l 0100 -z 0000 -o gd2.3b3 GD2.DSK
bincut2 -s 62e00 -l 0400 -z 0000 -o gd2.62e GD2.DSK
bincut2 -s 64c00 -l 0180 -z 0080 -o gd2.64c GD2.DSK
bincut2 -s 66000 -l 0600 -z 0000 -o gd2.660 GD2.DSK
bincut2 -s 67000 -l 0400 -z 0000 -o gd2.670 GD2.DSK

copy /b GD.BIN+gd1.042+gd1.05a+gd1.050+gd1.066+gd2.0e8+gd2.0fa+gd2.3b3+gd2.62e+gd2.64c+gd2.660+gd2.670 GD.KSS

del gd1.042
del gd1.05a
del gd1.050
del gd1.066
del gd2.0e8
del gd2.0fa
del gd2.3b3
del gd2.62e
del gd2.64c
del gd2.660
del gd2.670

