@echo off
REM  required:
REM    MIDGART1.DSK     MIDGARTS - DUAL SIDE (MSX2+) DISK1  image file
REM    MIDGART2.DSK     MIDGARTS - DUAL SIDE (MSX2+) DISK2  image file
REM    MIDGART3.DSK     MIDGARTS - DUAL SIDE (MSX2+) DISK3  image file
REM    MIDGART4.DSK     MIDGARTS - DUAL SIDE (MSX2+) DISK4  image file
REM    MIDGART5.DSK     MIDGARTS - DUAL SIDE (MSX2+) DISK5  image file
REM    MIDGART6.DSK     MIDGARTS - DUAL SIDE (MSX2+) DISK6  image file
REM    BINCUT2.EXE
REM    BINCAT.EXE
REM output:
REM    MIDGARTS.KSS

IF EXIST "MIDGARTS.BIN" GOTO BINOK
ASZ80 -oo MIDGARTS.SZ
ASLINK -oBIN MIDGARTS.O
:BINOK

rem driver
bincut2 -s 02d60 -l 2200 -o midgarts.drv MIDGART1.DSK

rem disk1 music
bincut2 -u 100 -n 002 -b 07c -o midgart1.07c MIDGART1.DSK
bincut2 -u 100 -n 04c -b 3ae -o midgart1.3ae MIDGART1.DSK
bincut2 -u 100 -n 004 -b 5f8 -o midgart1.5f8 MIDGART1.DSK
bincut2 -u 100 -n 00e -b 762 -o midgart1.762 MIDGART1.DSK
bincut2 -u 100 -n 01c -b 912 -o midgart1.912 MIDGART1.DSK

rem disk2 music
bincut2 -u 100 -n 052 -b 460 -o midgart2.460 MIDGART2.DSK
bincut2 -u 100 -n 02e -b 600 -o midgart2.600 MIDGART2.DSK

rem disk3 music
bincut2 -u 100 -n 03a -b 3ee -o midgart3.3ee MIDGART3.DSK
bincut2 -u 100 -n 00c -b 4ee -o midgart3.4ee MIDGART3.DSK
bincut2 -u 100 -n 01e -b 608 -o midgart3.608 MIDGART3.DSK
bincut2 -u 100 -n 004 -b 630 -o midgart3.630 MIDGART3.DSK

rem disk4 music
bincut2 -u 100 -n 010 -b 558 -o midgart4.558 MIDGART4.DSK
bincut2 -u 100 -n 046 -b 5ce -o midgart4.5ce MIDGART4.DSK
bincut2 -u 100 -n 020 -b 6e8 -o midgart4.6e8 MIDGART4.DSK
bincut2 -u 100 -n 024 -b 9cc -o midgart4.9cc MIDGART4.DSK

rem disk5 music
bincut2 -u 100 -n 046 -b 4ae -o midgart5.4ae MIDGART5.DSK
bincut2 -u 100 -n 024 -b 608 -o midgart5.608 MIDGART5.DSK

rem disk6 music
bincut2 -u 100 -n 044 -b 40e -o midgart6.40e MIDGART6.DSK
bincut2 -u 100 -n 020 -b 60c -o midgart6.60c MIDGART6.DSK

BINCAT MIDGARTS.KSS MIDGARTS.BIN midgarts.drv @MIDGARTS.CAT

del midgarts.drv

del midgart1.07c
del midgart1.3ae
del midgart1.5f8
del midgart1.762
del midgart1.912
del midgart2.460
del midgart2.600
del midgart3.3ee
del midgart3.4ee
del midgart3.608
del midgart3.630
del midgart4.558
del midgart4.5ce
del midgart4.6e8
del midgart4.9cc
del midgart5.4ae
del midgart5.608
del midgart6.40e
del midgart6.60c
