
typedef struct NSFSDK_TAG *HNSF;

HNSF WINAPI NSFSDK_Load(void *pData, unsigned uSize);
void WINAPI NSFSDK_SetSongNo(HNSF hnsf, unsigned uSongNo);
void WINAPI NSFSDK_SetFrequency(HNSF hnsf, unsigned freq);
void WINAPI NSFSDK_Reset(HNSF hnsf);
void WINAPI NSFSDK_Volume(HNSF hnsf, unsigned uVolume);
void WINAPI NSFSDK_Render(HNSF hnsf, void *bufp, unsigned buflen);
void WINAPI NSFSDK_Terminate(HNSF hnsf);

unsigned WINAPI NSFSDK_GetSongNo(HNSF hnsf);
unsigned WINAPI NSFSDK_GetSongMax(HNSF hnsf);

HNSF WINAPI NSFSDK_StartNSD(void *pData, unsigned uSize, unsigned syncmode);
void WINAPI NSFSDK_OutputNSD(HNSF hnsf, void (*fnCallBack)(void *p, unsigned l));
