@echo off
REM  required:
REM    PMAKER1.DSK   PRIINCESS MAKER(MSX2) DISK 1 image file
REM    PMAKER2.DSK   PRIINCESS MAKER(MSX2) DISK 2 image file
REM    (PMAKER3.DSK   PRIINCESS MAKER(MSX2) DISK 3 image file)
REM    (PMAKER4.DSK   PRIINCESS MAKER(MSX2) DISK 4 image file)
REM    (PMAKER5.DSK   PRIINCESS MAKER(MSX2) DISK 5 image file)
REM    PMAKER6.DSK   PRIINCESS MAKER(MSX2) DISK 6 image file
REM    PMAKER7.DSK   PRIINCESS MAKER(MSX2) DISK 7 image file
REM    BINCUT2.EXE
REM output:
REM    PMAKER.KSS

IF EXIST "PMAKER.BIN" GOTO BINOK
ASZ80 -oo PMAKER.SZ
ASLINK -oBIN PMAKER.O
:BINOK

rem driver
bincut2 -u 100 -n 0c -b 030 -o pmaker1.030 pmaker1.dsk
rem tone
bincut2 -u 100 -n 02 -b b12 -o pmaker1.b12 pmaker1.dsk
rem disk1 music
bincut2 -u 100 -n 34 -b 0f4 -o pmaker1.0f4 pmaker1.dsk
rem disk2/3/4/5 music(common)
bincut2 -u 100 -n 82 -b 1a0 -o pmaker2.1a0 pmaker2.dsk
rem bincut2 -u 100 -n 82 -b 1a0 -o pmaker2.1a0 pmaker3.dsk
rem bincut2 -u 100 -n 82 -b 1a0 -o pmaker2.1a0 pmaker4.dsk
rem bincut2 -u 100 -n 82 -b 1cc -o pmaker2.1a0 pmaker5.dsk
rem disk6 music
bincut2 -u 100 -n 9e -b 064 -o pmaker6.064 pmaker6.dsk
rem disk7 music
bincut2 -u 100 -n 1c -b 028 -o pmaker7.028 pmaker7.dsk

copy /b PMAKER.BIN+pmaker1.030+pmaker1.b12+pmaker1.0f4+pmaker2.1a0+pmaker6.064+pmaker7.028 PMAKER.KSS

del pmaker1.030
del pmaker1.b12
del pmaker1.0f4
del pmaker2.1a0
del pmaker6.064
del pmaker7.028
