@echo off
REM  required:
REM    PSYOBLAS.DSK   PSY-O-BLADE(MSX2) SYSTEM DISK image file
REM    PSYOBLAA.DSK   PSY-O-BLADE(MSX2) GAME DISK A image file
REM    PSYOBLAB.DSK   PSY-O-BLADE(MSX2) GAME DISK B image file
REM    BINCUT2.EXE
REM output:
REM    PSYOBLAD.KSS

IF EXIST "PSYOBLAD.BIN" GOTO BINOK
ASZ80 -oo PSYOBLAD.SZ
ASLINK -oBIN PSYOBLAD.O
:BINOK

bincut2 -s 0a180 -l 1400 -z 0000 -o psyoblas.drv PSYOBLAS.DSK
bincut2 -s 89800 -l 0480 -z 0080 -o psyoblas.898 PSYOBLAS.DSK
bincut2 -s 89c80 -l 0e80 -z 0080 -o psyoblas.89c PSYOBLAS.DSK
bincut2 -s 8ab00 -l 0b00 -z 0000 -o psyoblas.8ab PSYOBLAS.DSK

bincut2 -s 21000 -l 0580 -z 0080 -o psyoblaa.210 PSYOBLAA.DSK
bincut2 -s 21580 -l 0f80 -z 0080 -o psyoblaa.215 PSYOBLAA.DSK
bincut2 -s 22500 -l 0680 -z 0080 -o psyoblaa.225 PSYOBLAA.DSK
bincut2 -s 22b80 -l 0280 -z 0080 -o psyoblaa.22b PSYOBLAA.DSK
bincut2 -s 22e00 -l 0200 -z 0000 -o psyoblaa.22e PSYOBLAA.DSK
bincut2 -s b2400 -l 0b80 -z 0080 -o psyoblaa.b24 PSYOBLAA.DSK
bincut2 -s b2f80 -l 0480 -z 0080 -o psyoblaa.b2f PSYOBLAA.DSK
bincut2 -s b3400 -l 0400 -z 0000 -o psyoblaa.b34 PSYOBLAA.DSK

bincut2 -u 100 -n 028 -b 258 -o psyoblab.258 PSYOBLAB.DSK

copy /b PSYOBLAD.BIN+psyoblas.drv+psyoblas.898+psyoblas.89c+psyoblas.8ab+psyoblaa.b24+psyoblaa.b2f+psyoblaa.b34+psyoblaa.210+psyoblaa.215+psyoblaa.225+psyoblaa.22b+psyoblaa.22e+psyoblab.258 psyoblad.kss

del psyoblas.drv
del psyoblas.898
del psyoblas.89c
del psyoblas.8ab

del psyoblaa.210
del psyoblaa.215
del psyoblaa.225
del psyoblaa.22b
del psyoblaa.22e
del psyoblaa.b24
del psyoblaa.b2f
del psyoblaa.b34

del psyoblab.258
