@echo off
REM required:
REM   VALIS2A.DSK  The Fantasm Soldier Valis2  DISK A  image file
REM   (VALIS2B.DSK  The Fantasm Soldier Valis2  DISK B  image file)
REM   VALIS2C.DSK  The Fantasm Soldier Valis2  DISK C  image file
REM   (VALIS2D.DSK  The Fantasm Soldier Valis2  DISK D  image file)
REM   BINCUT2.EXE
REM output:
REM   VALIS2.KSS

IF EXIST "VALIS2.BIN" GOTO BINOK
ASZ80 -oo VALIS2.SZ
ASLINK -oBIN VALIS2.O
:BINOK

bincut2 -s 035cb -l 0fce -z 0032 -o valis2s.drv  valis2A.dsk
bincut2 -s 04599 -l 0cc6 -z 003a -o valis2f.drv  valis2A.dsk
bincut2 -u 100 -n 006 -b 1f4 -o valis2c.1f4  valis2C.dsk
bincut2 -u 100 -n 28e -b 23a -o valis2c.23a  valis2C.dsk
bincut2 -u 100 -n 008 -b 838 -o valis2c.838  valis2C.dsk

copy /b  valis2.bin+valis2s.drv+valis2f.drv+valis2c.1f4+valis2c.23a+valis2c.838 valis2.kss

del valis2s.drv
del valis2f.drv
del valis2c.1f4
del valis2c.23a
del valis2c.838


