@echo off
REM Dante2
REM required:
REM   YKONZERE.DSK  YKONZERN  EDIT DISK  image file
REM   YKONZERG.DSK  YKONZERN  GAME DISK  image file
REM   BINCUT2.EXE
REM   BINCAT.EXE
REM output:
REM   YKONZERN.KSS

IF EXIST "YKONZERN.BIN" GOTO BINOK
ASZ80 -oo YKONZERN.SZ
ASLINK -oBIN YKONZERN.O
:BINOK

rem driver
bincut2 -u 200 -n 3 -b 370 -o ykonzern.drv YKONZERE.DSK

rem data
bincut2 -s 6fa00 -l 0200 -o ykonzern.0a9 YKONZERG.DSK
bincut2 -s 70000 -l 0600 -o ykonzern.0aa YKONZERG.DSK
bincut2 -s 70600 -l 0c00 -o ykonzern.0ab YKONZERG.DSK
bincut2 -s 71600 -l 0c00 -o ykonzern.0ac YKONZERG.DSK
bincut2 -s 72600 -l 0800 -o ykonzern.0ad YKONZERG.DSK
bincut2 -s 73600 -l 0a00 -o ykonzern.0ae YKONZERG.DSK
bincut2 -s 74600 -l 1000 -o ykonzern.0af YKONZERG.DSK
bincut2 -s 75600 -l 0a00 -o ykonzern.0b0 YKONZERG.DSK
bincut2 -s 76600 -l 0c00 -o ykonzern.0b1 YKONZERG.DSK
bincut2 -s 77600 -l 0800 -o ykonzern.0b2 YKONZERG.DSK
bincut2 -s 78600 -l 0a00 -o ykonzern.0b3 YKONZERG.DSK
bincut2 -s 79600 -l 1000 -o ykonzern.0b4 YKONZERG.DSK
bincut2 -s 7a600 -l 0800 -o ykonzern.0b5 YKONZERG.DSK
bincut2 -s 7b600 -l 0c00 -o ykonzern.0b6 YKONZERG.DSK
bincut2 -s 7c600 -l 0800 -o ykonzern.0b7 YKONZERG.DSK
bincut2 -s 7d600 -l 0a00 -o ykonzern.0b8 YKONZERG.DSK
bincut2 -s 7e600 -l 0600 -o ykonzern.0b9 YKONZERG.DSK
bincut2 -s 7f600 -l 1000 -o ykonzern.0ba YKONZERG.DSK
bincut2 -s 80600 -l 0a00 -o ykonzern.0bb YKONZERG.DSK
bincut2 -s 81600 -l 0800 -o ykonzern.0bc YKONZERG.DSK
bincut2 -s 82600 -l 0a00 -o ykonzern.0bd YKONZERG.DSK
bincut2 -s 83600 -l 0e00 -o ykonzern.0be YKONZERG.DSK
bincut2 -s 84600 -l 0800 -o ykonzern.0bf YKONZERG.DSK
bincut2 -s 85600 -l 0a00 -o ykonzern.0c0 YKONZERG.DSK
bincut2 -s 86600 -l 0600 -o ykonzern.0c1 YKONZERG.DSK
bincut2 -s 87600 -l 0a00 -o ykonzern.0c2 YKONZERG.DSK
bincut2 -s 88600 -l 0c00 -o ykonzern.0c3 YKONZERG.DSK
bincut2 -s 89600 -l 0800 -o ykonzern.0c4 YKONZERG.DSK
bincut2 -s 8a600 -l 0a00 -o ykonzern.0c5 YKONZERG.DSK
bincut2 -s 8b600 -l 0c00 -o ykonzern.0c6 YKONZERG.DSK
bincut2 -s 8c600 -l 0800 -o ykonzern.0c7 YKONZERG.DSK
bincut2 -s 8d600 -l 0c00 -o ykonzern.0c8 YKONZERG.DSK
bincut2 -s 8e600 -l 0800 -o ykonzern.0c9 YKONZERG.DSK
bincut2 -s 8f600 -l 0400 -o ykonzern.0ca YKONZERG.DSK
bincut2 -s 90600 -l 0a00 -o ykonzern.0cb YKONZERG.DSK
bincut2 -s 91600 -l 0800 -o ykonzern.0cc YKONZERG.DSK
bincut2 -s 92600 -l 0a00 -o ykonzern.0cd YKONZERG.DSK
bincut2 -s 93600 -l 0600 -o ykonzern.0ce YKONZERG.DSK
bincut2 -s 94600 -l 0c00 -o ykonzern.0cf YKONZERG.DSK
bincut2 -s 95600 -l 0a00 -o ykonzern.0d0 YKONZERG.DSK
bincut2 -s 96600 -l 0600 -o ykonzern.0d1 YKONZERG.DSK
bincut2 -s 97600 -l 0800 -o ykonzern.0d2 YKONZERG.DSK
bincut2 -s 98600 -l 0c00 -o ykonzern.0d3 YKONZERG.DSK
bincut2 -s 99600 -l 0a00 -o ykonzern.0d4 YKONZERG.DSK


bincat ykonzern.kss ykonzern.bin ykonzern.drv @ykonzern.cat

del ykonzern.drv

del ykonzern.0a9
del ykonzern.0aa
del ykonzern.0ab
del ykonzern.0ac
del ykonzern.0ad
del ykonzern.0ae
del ykonzern.0af
del ykonzern.0b0
del ykonzern.0b1
del ykonzern.0b2
del ykonzern.0b3
del ykonzern.0b4
del ykonzern.0b5
del ykonzern.0b6
del ykonzern.0b7
del ykonzern.0b8
del ykonzern.0b9
del ykonzern.0ba
del ykonzern.0bb
del ykonzern.0bc
del ykonzern.0bd
del ykonzern.0be
del ykonzern.0bf
del ykonzern.0c0
del ykonzern.0c1
del ykonzern.0c2
del ykonzern.0c3
del ykonzern.0c4
del ykonzern.0c5
del ykonzern.0c6
del ykonzern.0c7
del ykonzern.0c8
del ykonzern.0c9
del ykonzern.0ca
del ykonzern.0cb
del ykonzern.0cc
del ykonzern.0cd
del ykonzern.0ce
del ykonzern.0cf
del ykonzern.0d0
del ykonzern.0d1
del ykonzern.0d2
del ykonzern.0d3
del ykonzern.0d4
